Subject: [StGIT PATCH 0/5] Metadata format versioning

From: Karl Hasselström <[email-masked]>
Date: Sat, 19 May 2007 02:09:46 +0200

On 2007-05-16 08:27:11 +0200, Karl Hasselström wrote:

> I'll probably have time to whip up a patch later today.

OK, so this turned out to be a slight miscalculation. But here it is,
with a test! The test contains two small tarballs, so I had to whip up
binary patch support as well.

> I'll make a single version bump for the format changes you've alreay
> applied, and re-do the format-changing patches you haven't applied
> yet so that they have version bumping integrated.

This contains a single version bump (1 -> 2) for the applied changes,
but i haven't updated the DAG patch to use this yet. That's for
another day.

-- 
Karl Hasselström, [email-masked]
      www.treskal.com/kalle